> ## Documentation Index
> Fetch the complete documentation index at: https://e2b-mintlify-changelog-1774264263.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# SendInput



## OpenAPI

````yaml /openapi-public.yml post /process.Process/SendInput
openapi: 3.1.0
info:
  title: E2B API
  version: 0.1.0
  description: >-
    Complete E2B developer API. Platform endpoints are served on api.e2b.app.
    Sandbox endpoints (envd) are served on {port}-{sandboxID}.e2b.app.
servers:
  - url: https://api.e2b.app
    description: E2B Platform API
security: []
tags:
  - name: Sandboxes
  - name: Templates
  - name: Tags
  - name: Envd
  - name: Filesystem
  - name: Process
  - name: Teams
paths:
  /process.Process/SendInput:
    servers:
      - url: https://{port}-{sandboxID}.e2b.app
        description: Sandbox API (envd) — runs inside each sandbox
        variables:
          port:
            default: '49983'
            description: Port number
          sandboxID:
            default: $SANDBOX_ID
            description: Sandbox identifier
    post:
      tags:
        - Process
      summary: SendInput
      operationId: process.Process.SendInput
      parameters:
        - name: Connect-Protocol-Version
          in: header
          required: true
          schema:
            $ref: '#/components/schemas/connect-protocol-version'
        - name: Connect-Timeout-Ms
          in: header
          schema:
            $ref: '#/components/schemas/connect-timeout-header'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/process.SendInputRequest'
        required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/process.SendInputResponse'
        '502':
          description: Sandbox not found
          content:
            application/json:
              schema:
                type: object
                required:
                  - sandboxID
                  - message
                  - code
                properties:
                  message:
                    type: string
                    description: Error message
                  code:
                    type: integer
                    description: Error code
                  sandboxID:
                    type: string
                    description: Identifier of the sandbox
      security:
        - SandboxAccessTokenAuth: []
components:
  schemas:
    connect-protocol-version:
      type: number
      title: Connect-Protocol-Version
      description: Define the version of the Connect protocol
      const: 1
    connect-timeout-header:
      type: number
      title: Connect-Timeout-Ms
      description: Define the timeout, in ms
    process.SendInputRequest:
      type: object
      properties:
        process:
          $ref: '#/components/schemas/process.ProcessSelector'
          title: process
        input:
          $ref: '#/components/schemas/process.ProcessInput'
          title: input
      title: SendInputRequest
      additionalProperties: false
    process.SendInputResponse:
      type: object
      title: SendInputResponse
      additionalProperties: false
    process.ProcessSelector:
      type: object
      oneOf:
        - properties:
            pid:
              type: integer
              title: pid
          title: pid
          required:
            - pid
        - properties:
            tag:
              type: string
              title: tag
          title: tag
          required:
            - tag
      title: ProcessSelector
      additionalProperties: false
    process.ProcessInput:
      type: object
      oneOf:
        - properties:
            pty:
              type: string
              title: pty
              format: byte
          title: pty
          required:
            - pty
        - properties:
            stdin:
              type: string
              title: stdin
              format: byte
          title: stdin
          required:
            - stdin
      title: ProcessInput
      additionalProperties: false
  securitySchemes:
    SandboxAccessTokenAuth:
      type: apiKey
      in: header
      name: X-Access-Token
      description: >-
        Sandbox access token (`envdAccessToken`) for authenticating requests to
        a running sandbox. Returned by: [POST
        /sandboxes](/docs/api-reference/sandboxes/create-a-sandbox) (on create),
        [POST
        /sandboxes/{sandboxID}/connect](/docs/api-reference/sandboxes/connect-to-a-sandbox)
        (on connect), [POST
        /sandboxes/{sandboxID}/resume](/docs/api-reference/sandboxes/resume-a-sandbox)
        (on resume), and [GET
        /sandboxes/{sandboxID}](/docs/api-reference/sandboxes/get-a-sandbox)
        (for running or paused sandboxes).

````